<%= form_with url: deliver_path, method: :get, local: false do |f| %>

  <div class="placement-image">
    <%= content_tag :div, class: 'cropper-wrapper' do %>
      <%= image_tag main_app.rails_blob_path(@blob), id: 'cropper-image' %>
    <% end %>
    <div class="row">
      <div class="col-8">
        <div class="cropper-ratios">
          <% crop_ratios.each do |crop_ratio| %>
            <%= ratio_button crop_ratio %>
          <% end %>
        </div>
        <div class="cropper-buttons">
          <%= link_to "Maximize", '#', onclick: "maximizeCropbox()",
                  class: 'btn btn-hollow' %>
          <% if freehand_cropping? %>
            <%= link_to 'Rotate Box', '#', onclick: 'rotateCropbox()',
                    class: 'btn btn-hollow' %>
          <% end %>
        </div>
      </div>
      <div class='col-4 right'>
        <%= f.hidden_field 'crop[x]', value: @transformation.dig(:crop, :x) %>
        <%= f.hidden_field 'crop[y]', value: @transformation.dig(:crop, :y) %>
        <%= f.hidden_field 'crop[w]', value: @transformation.dig(:crop, :w) %>
        <%= f.hidden_field 'crop[h]', value: @transformation.dig(:crop, :h) %>

        <%= f.submit 'Finished', class: 'button green' %>
      </div>
    </div>
  </div>

<% end %>
